scala.collection.mutable
class Script

[source: `scala/collection/mutable/Script.scala`]

`` `class` Script[A]
  `extends` ArrayBuffer[Message[A]]`with` Message[A]

  Objects of this class represent compound messages consisting of a sequence of other messages.

Author
  Matthias Zenger
Version
  1.0, 10/05/2004

Values and Variables inherited from ResizableArray
initialSize, array

Method Summary
`override def` | hashCode : Int The hashCode method always yields an error, since it is not safe to use buffers as keys in hash tables.
`override def` | toString : java.lang.String

Methods inherited from ArrayBuffer
+=, ++=, ++, ++=, +:, apply, ++:, insertAll, update, remove, clear, clone, equals, stringPrefix

Methods inherited from ResizableArray
size0, size0_=, length, reduceToSize, copyToArray, copyToBuffer, elements, ensureSize, swap, copy

Methods inherited from Buffer
+, ++=, ++, ++, -=, append, appendAll, prepend, prependAll, insert, trimStart, trimEnd, <<

Methods inherited from Mutable
projection, readOnly, drop, take, slice, reverse

Methods inherited from RandomAccessSeq
patch, toStream, safeIs

Methods inherited from Seq
lengthCompare, size, isEmpty, concat, last, lastOption, headOption, isDefinedAt, lastIndexOf, map, flatMap, filter, takeWhile, dropWhile, contains, subseq, toArray, equalsWith, startsWith, endsWith, indexOf, containsSlice

Methods inherited from Iterable
partition, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, sameElements, toList, mkString, mkString, mkString, addString, addString, hasDefiniteSize

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
compose

Methods inherited from AnyRef
getClass, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`override` `def` toString : java.lang.String

`override` `def` hashCode : Int

  The hashCode method always yields an error, since it is not safe to use buffers as keys in hash tables.

Returns
  never.